INTERFACE
SUBROUTINE LARCINB5(&
 & KST,KPROF,KL0,PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,PDVER,PVINTW,PVINTWSLD,PB15,&
 & PUF,PVF,PUFZ,PVFZ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB15
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ(NPROMA,NFLEVG)
END SUBROUTINE LARCINB5
END INTERFACE
